Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	a smith charting program
Name:      	linsmith
Version:   	0.99.1
Release:   	1
Provides:	linsmith
License: 	GNU/GPL
URL:		http://jcoppens.com/soft/linsmith/index.en.php
Group:     	Science/Engineering	
Source0: 	%{name}-%{version}.tar.gz
Source1:	chart.tar.bz2
Source2:	%{name}.desktop
Patch0:		linsmith-de-typofix.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  atk-devel 
BuildRequires:	libbonobo-devel 
BuildRequires:  libbonoboui-devel 
BuildRequires:  cairo-devel 
BuildRequires:  GConf-devel  
BuildRequires:  gdk-pixbuf-devel 
BuildRequires:  libgnome-devel 
BuildRequires:  libgnomecanvas-devel 
BuildRequires:  gnome-keyring-devel 
BuildRequires:  libgnomeui-devel 
BuildRequires:  gnome-vfs-devel 
BuildRequires:  gtk2+-devel  
BuildRequires:  ORBit2-devel 
BuildRequires:  pango-devel 
BuildRequires:  libxml2-devel 
BuildRequires:  zlib-devel

%description
linSmith is a Smith Charting program, mainly designed for educational use.
As such, there is an emphasis on capabilities that improve the
'showing the effect of'-style of operation. It's main features are: 
Definition of multiple load impedances (at different frequencies) 
Addition of discrete (L, C, parallel and series LC, and transformer)
and line components (open and closed stubs, line segments) 
Connection in series and parallel 
Easy experimentation with values using scrollbars 
A 'virtual' component switches from impedance to admittance to help
explaining (or understanding) parallel components 
The chart works in real impedances (not normalized ones) 
Direct view of the result on the screen 
Ability to generate publication quality Postscript output 
A 'log' file with textual results at each intermediate step 
Load and circuit configuration is stored separately, permitting several
solutions without re-defining the other (this may actually change to
single files - I'm not quite convinced here)

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove 'blind passenger'
rm -f $RPM_BUILD_ROOT/usr/share/pixmaps/linsmith/Makefile.am~

# install desktop entry file
mkdir -p $RPM_BUILD_ROOT%_applications
mkdir -p $RPM_BUILD_ROOT%_pixmaps/linsmith/
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications/linsmith.desktop
cp linsmith_icon.xpm $RPM_BUILD_ROOT%_pixmaps/linsmith/linsmith_icon.xpm

# install additional smith charts
tar xvjf %{SOURCE1} 
mv chart/* $RPM_BUILD_ROOT%_pixmaps/linsmith

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.1-1
- version update
* Tue Jul 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- version update
* Sun Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.5-1
- version update
* Sat Feb 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Initial Release
